<?php
namespace Claromentis\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_c894747360c6ec5bd8169530eaf" . "9c473" => base64_decode("QmFkIFJlcXVlc3Q" . "="), "_437d31f3e369eaf52" . "112df78da5beabb" => base64_decode("T25F" . "cnJv" . "cg=="), "_a4a1018258a" . "dabb74e7b048" . "36d8d7e3b" => base64_decode("Tm90IE" . "ZvdW5k"));
use Claromentis\Core\Repository\Exception\NotFoundException;
use Claromentis\Core\Repository\Exception\UnsupportedTypeException;
use Claromentis\Core\Application;
use Symfony\Component\HttpKernel\Event\ExceptionEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class RestExceptionHandler
{
    
    
    
    
    private $app;
    
    
    
    
    public function __construct(Application $app)
    {
        $this->app = $app;
    }
    
    
    
    
    public function OnError(ExceptionEvent $event)
    {
        $_fe441aa3ef350bfb1a1a1ad8520dd530 = $event->getThrowable();
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof NotFoundException) {
            $event->setThrowable(new \RestExNotFound($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a4a1018258adabb74e7b04836" . "d8d7e3b"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof UnsupportedTypeException) {
            $event->setThrowable(new \RestExBadRequest($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c89474736" . "0c6ec5bd81" . "69530eaf9c" . "473"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
    }
    
    
    
    
    public function register()
    {
        $this->app->on(KernelEvents::EXCEPTION, array($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_437d31f3e369eaf52112df78d" . "a5beabb"]), 32);
        
        
    }
    public function unregister()
    {
        
        
    }
}